/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\MirageDesert\HumusMirage.cs
Lines of code: 79
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Engines.CannedEvil;
using System.Collections.Generic;
using Server.Mobiles;

namespace Server.Mobiles 
{ 
    
	public class HumusMirage : basedemitel
	{ 
		public override bool DeleteCorpseOnDeath{ get{ return true; } }

		[Constructable] 
		public HumusMirage() : base( AIType.AI_Super, FightMode.Closest, 0.2, 0.4 ) 
		{ 
			Body = 46;
			Hue = 16385; 
			Name = "Humus";
			Title = "The Guardian Of Fire";

			SetStr( 1096, 1185 );
			SetDex( 86, 175 );
			SetInt( 686, 775 );

			SetHits( 1000 );

			SetDamage( 29, 35 );

			SetDamageType( ResistanceType.Fire, 80 );
			SetDamageType( ResistanceType.Physical, 10 );
			SetDamageType( ResistanceType.Energy, 10 );

			SetResistance( ResistanceType.Physical, 150 );
			SetResistance( ResistanceType.Fire, 100, 100 );
			SetResistance( ResistanceType.Cold, 0, 5 );
			SetResistance( ResistanceType.Poison, 100, 100 );
			SetResistance( ResistanceType.Energy, 40, 60 );

			SetSkill( SkillName.EvalInt, 100.0, 100.0 );
			SetSkill( SkillName.Magery, 120.0, 120.0 );
			SetSkill( SkillName.Meditation, 100.0, 100.0 );
			SetSkill( SkillName.MagicResist, 100.0, 150.0 );
			SetSkill( SkillName.Tactics, 120.0, 120.0 );
			SetSkill( SkillName.Wrestling, 120.0, 120.0 );

			VirtualArmor = 70; 

			Fame = 50500;
			Karma = -22500;   
		}

		public override bool OnBeforeDeath()
		{
			Gold gold = new Gold( Utility.RandomMinMax( 2400, 3750 ) );
			gold.MoveToWorld( Location, Map );

			Effects.SendLocationEffect( Location, Map, 0x376A, 10, 1 );
			return true;
		}

		public override bool BleedImmune{ get{ return true; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int breathtargets{ get{ return 3; } }
		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool AutoDispel{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override double BonusPetDamageScalar{ get{ return (Core.SE) ? 3.0 : 1.0; } }
		public override bool IgnoreYoungProtection { get { return true; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );

			list.Add("Mirage");
		}

		public HumusMirage( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 
			writer.Write( (int) 0 ); 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 
			int version = reader.ReadInt(); 
		} 
	} 
}